Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::generate_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename O , typename F , requires = (Invocable<F &>() && OutputIterator<O, invoke_result_t<F &>>())>
tagged_pair< tag::out(O), tag::fun(F)> | operator() (O begin, difference_type_t< O > n, F fun) const